Package org.apache.lucene.benchmark.quality

# Interface QualityQueryParser

All Known Implementing Classes:
  `SimpleQQParser`

public interface QualityQueryParser
Parse a QualityQuery into a Lucene query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Query`
  `parse(QualityQuery qq)`
  Parse a given QualityQuery into a Lucene query.

- ## Method Details

  - ### parse

    Query parse(QualityQuery qq) throws ParseException
    Parse a given QualityQuery into a Lucene query.
    Parameters:
      `qq` - the quality query to be parsed.
    Throws:
      `ParseException` - if parsing failed.